--- cdat-4.0/installation/myconfig.py.orig	Fri Feb 20 07:30:26 2004
+++ cdat-4.0/installation/myconfig.py	Fri Feb 20 07:30:19 2004
@@ -0,0 +1,2 @@
+netcdf_library_directory = os.path.join('@PREFIX@', 'lib')
+netcdf_include_directory= os.path.join('@PREFIX@', 'include')
--- cdat-4.0/installation/install.py.orig	Fri Feb 20 06:38:55 2004
+++ cdat-4.0/installation/install.py	Fri Feb 20 06:38:39 2004
@@ -1,7 +1,8 @@
 import sys, getopt, os, shutil, string, glob, tempfile
 from distutils.core import setup
 here = os.getcwd()
-logdir = os.path.join(here, 'logs')
+logdir = os.path.join(here, 'logs')
+#logdir = os.path.join(os.environ.get('HOME')+'/cdat/', 'logs')
 execfile(os.path.join("installation", "control.py"), globals(), globals())
 cdms_include_directory = os.path.join(sys.prefix, 'include', 'cdms')
 cdms_library_directory = os.path.join(sys.exec_prefix, 'lib')
--- cdat-4.0/Packages/vcs/setup.py.orig	Mon Feb 23 13:07:28 2004
+++ cdat-4.0/Packages/vcs/setup.py	Mon Feb 23 13:08:42 2004
@@ -28,7 +28,7 @@
                    cdat_info.cdunif_include_directories +\
                    [ x11include,
                      py+'/include', 
-                     ]
+                     ]+['@PREFIX@/include']
 vcs_library_dirs = cdat_info.cdunif_library_directories + [ x11libdir,]
 vcs_libraries= x_libraries + cdat_info.cdunif_libraries
 
--- cdat-4.0/installation/standard.py.orig	Sat Mar 13 10:23:56 2004
+++ cdat-4.0/installation/standard.py	Sat Mar 13 10:25:45 2004
@@ -43,7 +43,7 @@
 # Build actions
 action = {}
 action['*.pfp'] = os.path.join(sys.exec_prefix, 'bin', 'pyfort') + " -i %(file)s"
-action['setup.py'] = sys.executable + ' setup.py install'
+action['setup.py'] = sys.executable + ' setup.py install --prefix=' + sys.exec_prefix
 action['install_script'] = './install_script ' + sys.exec_prefix
 for k in ['makefile','Makefile','MAKEFILE']:
     action[k] = make_code + " PREFIX='%s' install " % sys.exec_prefix
--- cdat-4.0/contrib/pyncl/install_script.orig	Sat Mar 13 17:19:43 2004
+++ cdat-4.0/contrib/pyncl/install_script	Sat Mar 13 17:20:51 2004
@@ -52,5 +52,5 @@
 
 #PyNCL
 (cd pyncl*; \
-   ${prefix}/bin/python setup.py build ${D} install \
+   ${prefix}/bin/python setup.py build ${D} install --prefix=${prefix}\
 )
--- cdat-4.0/contrib/IaGraph/install_script.orig	Sat Mar 13 17:21:39 2004
+++ cdat-4.0/contrib/IaGraph/install_script	Sat Mar 13 17:22:03 2004
@@ -52,5 +52,5 @@
 
 #IaGraph
 (cd IaGraph*; \
-   ${prefix}/bin/python setup.py build ${D} install \
+   ${prefix}/bin/python setup.py build ${D} install --prefix=${prefix}\
 )
--- cdat-4.0/contrib/pyclimate/install_script.orig	Sat Mar 13 17:22:24 2004
+++ cdat-4.0/contrib/pyclimate/install_script	Sat Mar 13 17:22:45 2004
@@ -45,5 +45,5 @@
 
 #Scientific Python
 (cd PyClimate*; \
-   ${prefix}/bin/python setup.py build ${D} install \
+   ${prefix}/bin/python setup.py build ${D} install --prefix=${prefix}\
 )
--- cdat/install.py.orig	2005-10-13 15:43:42.000000000 -0600
+++ cdat/install.py	2005-10-13 15:45:31.000000000 -0600
@@ -1,4 +1,4 @@
-from test_python_ok import *
+import os, sys, string
 # The main installation script is installation/install.py
 # However, we need to first check for problems using 1.5.2 syntax only.
 
--- cdat/installation/contrib.py.orig	2005-10-13 15:46:43.000000000 -0600
+++ cdat/installation/contrib.py	2005-10-13 15:48:29.000000000 -0600
@@ -10,7 +10,7 @@
     clist=[]
 ## Format is [path,description,licence_file]
 Clist = [
-    ['contrib/SP','A collection of Python modules that are useful for scientific computing.','LICENSE'],
+#   ['contrib/SP','A collection of Python modules that are useful for scientific computing.','LICENSE'],
     ['contrib/cssgrid','An interpolation package for random data on the surface of a sphere based on the work of Robert Renka. cssgrid uses cubic splines to calculate its interpolation function.',''],
     ['contrib/lmoments','56 routines for statistical analysis using L-moments','UC'],
     ['contrib/ort','Reads in Oort data files','UC'],
@@ -25,8 +25,8 @@
     ['contrib/dsgrid','A three-dimensional random data interpolator based on a simple inverse distance weighting algorithm.',''],
     ['contrib/pyclimate','Provides functions to perform some simple IO operations, operations with COARDS-compliant netCDF files, EOF analysis, SVD and CCA analysis of coupled data sets, some linear digital filters, kernel based probability density function estimation and access to DCDFLIB.C library from Python.','GNU'],
     ['contrib/ComparisonStatistics','Calculates statistics (e.g., correlations and RMS differences) that quantify differences between two datasets. Allows for ellaborated masking and regridding operations','UC'],
-    ['contrib/f2py','Fortran to Python interface generator','GNU'],
-    ['contrib/SciPy','Scientific tools for Python (core only)','GNU'],
+#   ['contrib/f2py','Fortran to Python interface generator','GNU'],
+#   ['contrib/SciPy','Scientific tools for Python (core only)','GNU'],
     ['contrib/IaGraph','Package for Quick Interactive Graphing','GNU'],
     ['contrib/Thermo','Package to plot Thermodynamic Diagrams (skew-T, etc...)','UC'],
     ['contrib/MSU','Package to compute Equivalent MSU Temperatures','UC'],
--- cdat/contrib/pyIoapi/install_script.orig	Tue Nov  8 06:59:43 2005
+++ cdat/contrib/pyIoapi/install_script	Tue Nov  8 07:00:35 2005
@@ -52,5 +52,5 @@
 
 #Rpy
 (cd py**; \
-   ${prefix}/bin/python setup.py build ${D} install \
+   ${prefix}/bin/python setup.py build ${D} install --prefix=${prefix}\
 )
